commit 7e9f8b8fd2c3ad96c9ab82af6500a19978fd8650
Author: freddy77 <freddy77>
Date:   Sat Jan 3 14:56:53 2009 +0000

    check win32 maxfd in a different way

diff --git a/ChangeLog b/ChangeLog
index f9b3a96..2156a6d 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Sat Jan  3 15:56:46 CET 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/replacements/fakepoll.c: check win32 maxfd in a different way
+
 Mon Dec 29 18:08:00 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/replacements/fakepoll.c: fix typo in comment
 
@@ -1154,4 +1157,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2702 2008/12/29 17:08:12 freddy77 Exp $
+$Id: ChangeLog,v 1.2703 2009/01/03 14:56:53 freddy77 Exp $
diff --git a/src/replacements/fakepoll.c b/src/replacements/fakepoll.c
index 0b023b5..3685092 100644
--- a/src/replacements/fakepoll.c
+++ b/src/replacements/fakepoll.c
@@ -18,7 +18,7 @@
  * Converted to C and spruced up by James K. Lowden December 2008. 
  */
 
-static char software_version[] = "$Id: fakepoll.c,v 1.4 2008/12/29 17:08:12 freddy77 Exp $";
+static char software_version[] = "$Id: fakepoll.c,v 1.5 2009/01/03 14:56:53 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 #include "fakepoll.h"
@@ -79,8 +79,13 @@ fakepoll(struct pollfd fds[], int nfds, int timeout)
 			continue;
 		} 
 
+#if defined(WIN32)
+		/* Win32 cares about the number of descriptors, not the highest one. */
+		++maxfd;
+#else
 		if (p->fd > maxfd)
 			maxfd = p->fd;
+#endif
 
 		/* POLLERR is never set coming in; poll(2) always reports errors */
 		/* But don't report if we're not listening to anything at all. */
@@ -92,10 +97,6 @@ fakepoll(struct pollfd fds[], int nfds, int timeout)
 			FD_SET(p->fd, &fdsp);
 	}
 
-#if defined(WIN32)
-	/* Win32 cares about the number of descriptors, not the highest one. */
-	maxfd = nfds;
-#endif
 	/* 
 	 * If any FD is too big for select(2), we need to return an error. 
 	 * Which one, though, is debatable.  There's no defined errno for 

